List the locations in an organization
curl --request GET \
--url https://server.chataigne.ai/v1/organizations/{organization_id}/locations \
--header 'x-api-key: <api-key>'import requests
url = "https://server.chataigne.ai/v1/organizations/{organization_id}/locations"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://server.chataigne.ai/v1/organizations/{organization_id}/locations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "list",
"data": [
{
"id": "loc_r8v4n2c6tz",
"object": "location",
"organization_id": "<string>",
"name": "Pokawa Châtelet",
"currency": "EUR",
"country": "FR",
"timezone": "Europe/Paris",
"default_language": "fr",
"address": {
"line1": "<string>",
"line2": "<string>",
"postal_code": "<string>",
"city": "<string>",
"country": "<string>",
"latitude": 123,
"longitude": 123
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"has_more": true,
"url": "<string>"
}{
"error": {
"type": "invalid_request_error",
"code": "resource_missing",
"message": "<string>",
"request_id": "req_8f2c…",
"param": "<string>",
"details": {}
}
}{
"error": {
"type": "invalid_request_error",
"code": "resource_missing",
"message": "<string>",
"request_id": "req_8f2c…",
"param": "<string>",
"details": {}
}
}{
"error": {
"type": "invalid_request_error",
"code": "resource_missing",
"message": "<string>",
"request_id": "req_8f2c…",
"param": "<string>",
"details": {}
}
}Organizations
List the locations in an organization
GET
/
v1
/
organizations
/
{organization_id}
/
locations
List the locations in an organization
Authorizations
Location/organization API key.
Path Parameters
Query Parameters
Page size (1–100).
Required range:
1 <= x <= 100Cursor: return results after this id.
Cursor: return results before this id.
Only resources created strictly after this time.
Only resources created strictly before this time.
Only resources updated strictly after this time.
Only resources updated strictly before this time.